package epson.print.widgets;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.ViewGroup;

public abstract class AbstractBuilder {
    protected ViewGroup mLayout;
    protected LayoutInflater mLayoutInflater;
    protected ViewGroup mParentView;

    public abstract void build();

    protected abstract void buildLayout(ViewGroup viewGroup);

    public abstract void refresh();

    public abstract void setResource(Object obj);

    public AbstractBuilder(Context context, ViewGroup viewGroup) {
        mParentView = viewGroup;
        mLayoutInflater = LayoutInflater.from(context);
    }
}
